#
# spec file for package dvbstream
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dvbstream
Version:        0.6
Release:        163.12
Summary:        Broadcasts a DVB Stream over the Network
License:        GPL-2.0+
Group:          Productivity/Networking/Other
Url:            https://github.com/linuxstb/dvbtools
Source:         %{name}-cvs.tar.bz2
Patch0:         %{name}-use-rpmopts
Patch1:         %{name}-include.dif

%description
dvbstream can broadcast either a (subset of a) DVB transport stream or
a DVB program stream over a LAN using the rtp protocol. It attempts to
be compliant with RFCs 1889, 1890, 2038, and 2250. It can also dump the
stream to stdout, for example, for local software decoding when using
DVB cards without a hardware MPEG decoder.

%prep
%setup -q -n dvbstream-cvs
rm -rf TELNET/CVS
%patch0
%patch1 -p1

%build
make %{?_smp_mflags}

%install
bins="dvbstream dumprtp rtpfeed ts_filter"
mkdir -p %{buildroot}%{_prefix}/bin
install -m 755 $bins %{buildroot}%{_prefix}/bin

%files
%license COPYING
%doc *.sh TELNET CHANGES README
%{_bindir}/dvbstream
%{_bindir}/dumprtp
%{_bindir}/rtpfeed
%{_bindir}/ts_filter

%changelog
* Sun Apr 18 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Fixes SPEC file: Replaced broken URL with latest upstream
* Tue Jul  4 2017 mpluskal@suse.com
- Run spec-cleaner
* Tue Jul  4 2017 jdelvare@suse.de
- Removed BuildRequires dvb, builds just fine without it.
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
  (cf. packaging guidelines)
- Use %%_smp_mflags for parallel build
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Sun Feb 11 2007 ro@suse.de
- added defattr
* Mon May 22 2006 schwab@suse.de
- Don't strip binaries.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Nov 14 2005 duwe@suse.de
- update to current CVS, version 0.6
* Thu Sep 22 2005 yxu@suse.de
- add needed prototypes
* Fri May 16 2003 coolo@suse.de
- use BuildRoot
* Mon Jan 13 2003 ro@suse.de
- update to cvs version to compile with current driver
* Wed May 29 2002 uli@suse.de
- initial package
